/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#+
#+     Copyright (C) 2018 by Kevin C. O'Kane
#+
#+     Kevin C. O'Kane
#+     kc.okane@gmail.com
#+     okane@cs.uni.edu
#+     https://www.cs.uni.edu/~okane
#+     http://threadsafebooks.com/
#+
#+ This program is free software; you can redistribute it and/or modify
#+ it under the terms of the GNU General Public License as published by
#+ the Free Software Foundation; either version 2 of the License, or
#+ (at your option) any later version.
#+
#+ This program is distributed in the hope that it will be useful,
#+ but WITHOUT ANY WARRANTY; without even the implied warranty of
#+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#+ GNU General Public License for more details.
#+
#+ You should have received a copy of the GNU General Public License
#+ along with this program; if not, write to the Free Software
#+ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#+
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

#ifndef SETTINGS
#define SETTINGS

// Use the program pacmd to determine the following values.
// They may be different on your machine due to your audio
// card  setup (how many, what type, etc).

// Define the Pulse unit number for the microphone

// *** if you have one audio card, try using 1 in the following

#define AUDIO_MIC_IN 2

// Define the Pulse unit number for the player

// *** if you have one audio card, try using 0 in the following

#define AUDIO_PROG_IN 1

// Define the Pulse unit number for the output

// *** if you have one audio card, try using 0 in the following

#define AUDIO_OUT 1

// This value controls the amplitude of your microphone in Pulse.
// This level needs to be set so that your microphone sounds good.
// On my machine, too low a value for this will result in static
// in the mic feed.

#define AUDIO_MIC_LEVEL 0x10200

#endif
