/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#+
#+     Copyright (C) 2018 by Kevin C. O'Kane
#+
#+     Kevin C. O'Kane
#+     kc.okane@gmail.com
#+     okane@cs.uni.edu
#+     https://www.cs.uni.edu/~okane
#+     http://threadsafebooks.com/
#+
#+ This program is free software; you can redistribute it and/or modify
#+ it under the terms of the GNU General Public License as published by
#+ the Free Software Foundation; either version 2 of the License, or
#+ (at your option) any later version.
#+
#+ This program is distributed in the hope that it will be useful,
#+ but WITHOUT ANY WARRANTY; without even the implied warranty of
#+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#+ GNU General Public License for more details.
#+
#+ You should have received a copy of the GNU General Public License
#+ along with this program; if not, write to the Free Software
#+ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#+
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

#ifndef SOUNDERS
#define SOUNDERS

// ----------------------------------------------------------------
// sounder macro - notice line continuation backslashes
// ----------------------------------------------------------------

#define SOUNDER(BTN,BTN_NBR,FILE_NAME) \
\
void on_button ## BTN_NBR ##_clicked (GtkButton *button, GtkEntry *user_data) { \
PlayClip(button, (GtkEntry *) sounder[FILE_NAME],-1); \
*NowPlaying=FILE_NAME; } \
\
gboolean on_button ## BTN_NBR ##_button_press_event (GtkButton *btn, GdkEventButton *event, gpointer user_data) { \
if (event->button == 1 ) return FALSE; *NowPlaying=*begin=FILE_NAME; *NowPlaying2=*begin?*begin-1:0; return TRUE; }\
\
gboolean on_button ## BTN_NBR ## _query_tooltip(GtkWidget *widget,gint x,gint y, gboolean keyboard, GtkTooltip *tooltip) { \
 /* gtk_tooltip_set_text(tooltip,sounder[FILE_NAME]);*/ gtk_tooltip_set_text(tooltip,"click to play"); return 1; }

#endif
