/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#+
#+     Internet Radio Automation & Encoding Toolkit
#+
#+     Copyright (C) 2018 by Kevin C. O'Kane
#+
#+     Kevin C. O'Kane
#+     kc.okane@gmail.com
#+     okane@cs.uni.edu
#+     https://www.cs.uni.edu/~okane
#+     http://threadsafebooks.com/
#+
#+ This program is free software; you can redistribute it and/or modify
#+ it under the terms of the GNU General Public License as published by
#+ the Free Software Foundation; either version 2 of the License, or
#+ (at your option) any later version.
#+
#+ This program is distributed in the hope that it will be useful,
#+ but WITHOUT ANY WARRANTY; without even the implied warranty of
#+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#+ GNU General Public License for more details.
#+
#+ You should have received a copy of the GNU General Public License
#+ along with this program; if not, write to the Free Software
#+ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#+
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

//--------------------------------------------------------------------------
// Input to this program is the name (WITHOUT FILE EXTENSION) of a PDF file
// resumably made by LibreOffice Impress consisting of slides.
//
// Output is images of the slides named according to the slide title
//--------------------------------------------------------------------------

// November 21, 2018

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int	main (int argc, char *argv[])  {

	FILE *in,*f1,*out;
	char *p1,tmp[2048],line[2048];

	while (fgets(line,2048,stdin)) {

		line[strlen(line)-1]=0;
		if (strlen(line) == 0) continue;

		if (strncmp(line,"https",5) == 0 ||
			strncmp(line,"http",4) == 0 ) {
			fprintf(stdout,"100#1#%s\n",line);
			continue;
			}

		strcpy(tmp,"ffprobe -v quiet -of csv=p=0 -show_entries format=duration \"");
		strcat(tmp,line);
		strcat(tmp,"\"");
		f1=popen(tmp,"r"); strcpy(tmp,""); fgets(tmp,256,f1); fclose(f1);
		p1=strstr(tmp,".");
		if (p1 != NULL) *p1=0;
		else { fprintf(stderr, "*** ffprobe error - bad file reference\n*** %s\n", line); continue;}

		fprintf(stdout,"%s#1#%s\n",tmp,line);
		}

	return EXIT_SUCCESS;
	}

